# Uses of Interface
com.sun.source.doctree.HiddenTree

Packages that use HiddenTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of HiddenTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type HiddenTree
Modifier and Type
Method
Description
`default R`
DocTreeVisitor.`visitHidden​(HiddenTree node, P p)`
Visits a HiddenTree node.

## Uses of HiddenTree in com.sun.source.util

Methods in com.sun.source.util that return HiddenTree
Modifier and Type
Method
Description
`HiddenTree`
DocTreeFactory.`newHiddenTree​(List<? extends DocTree> text)`
Creates a new `HiddenTree` object, to represent an `@hidden` tag.
Methods in com.sun.source.util with parameters of type HiddenTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitHidden​(HiddenTree node, P p)`
Visits a HiddenTree node.
`R`
SimpleDocTreeVisitor.`visitHidden​(HiddenTree node, P p)`
Visits a HiddenTree node.